org.jboss.resteasy.client.exception

## Class ResteasyCircularRedirectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.client.exception.ResteasyClientException
        - - org.jboss.resteasy.client.exception.ResteasyHttpException
          - - org.jboss.resteasy.client.exception.ResteasyProtocolException
            - - org.jboss.resteasy.client.exception.ResteasyNonRepeatableRequestException
              - - org.jboss.resteasy.client.exception.ResteasyRedirectException
                - - org.jboss.resteasy.client.exception.ResteasyCircularRedirectException

- All Implemented Interfaces:
    Serializable

      public class ResteasyCircularRedirectException
      extends ResteasyRedirectException

  Version:
    $Revision: 1.1 $ Copyright Jul 28, 2012
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyCircularRedirectException()`
    `ResteasyCircularRedirectException(String message)`
    `ResteasyCircularRedirectException(String message, Throwable cause)`
    `ResteasyCircularRedirectException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyCircularRedirectException

          public ResteasyCircularRedirectException()

    - #### ResteasyCircularRedirectException

          public ResteasyCircularRedirectException(String message)

    - #### ResteasyCircularRedirectException

          public ResteasyCircularRedirectException(String message,
                                           Throwable cause)

    - #### ResteasyCircularRedirectException

          public ResteasyCircularRedirectException(Throwable cause)

Copyright © 2014. All Rights Reserved.